Skip to main content

Delete App

Delete App is used to delete an app, which has already been created using Create App.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

DELETE https://{tenantId}.{hostname}/digitanium/v4/apps/{appname}

OR

DELETE https://{tenantId}.{hostname}/digitanium/v4/app/remove?appname={appname}

HTTP request URL for SHIFT​

DELETE https://{hostname}/auth/realms/{tenantId}/v3_client/{appname}
note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

Parameter NameTypeDescription
appnameStringUnique appName of the application.

Request body​

No request body fields are required.

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call. Refer Response status Information for details.
statusStringThe status of the API call. Refer Response status Information for details.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.
info
RequestPrevious BehaviourExpected and Current Behaviour
Hit the Delete client API and try to delete a client with a service accountThe client will be deleted but the service account will not be deletedOn deleting the client, the service account is also deleted

Sample Response​

{
"message": "App delete successfully",
"status": "OK",
"subSystem": 2
}

Response Status Information​

Status CodeStatusMessage
200OKApp delete successfully
401UnauthorizedHTTP 401 Unauthorized
404APP_NOT_FOUND_STATUSApp does not exist